# PhasicFlow: rotatingAxisMotion Class Reference

rotatingAxisMotion Class Reference

Rotating axis motion model for walls. More...

Collaboration diagram for rotatingAxisMotion:
[legend]

## Classes

class | Model
| Motion model class to be passed to computational units/kernels for transfing points and returning velocities at various positions. More...

## Public Member Functions

| TypeInfoNV ("rotatingAxisMotion")
| Type info. More...
FUNCTION_H | rotatingAxisMotion ()
| Empty. More...
FUNCTION_H | rotatingAxisMotion (const dictionary &dict)
| Construct with dictionary. More...
FUNCTION_H | rotatingAxisMotion (const rotatingAxisMotion &)=default
| Copy constructor. More...
| rotatingAxisMotion (rotatingAxisMotion &&)=delete
| No move constructor. More...
FUNCTION_H rotatingAxisMotion & | operator= (const rotatingAxisMotion &)=default
| Copy assignment. More...
rotatingAxisMotion & | operator= (rotatingAxisMotion &&)=delete
| No move assignment. More...
FUNCTION_H | ~rotatingAxisMotion ()=default
| Destructor. More...
Model | getModel (real t)
| Return the motion model at time t. More...
INLINE_FUNCTION_H int32 | nameToIndex (const word &name) const
| Motion component name to index. More...
INLINE_FUNCTION_H word | indexToName (label i) const
| Motion index to motion component name. More...
INLINE_FUNCTION_HD bool | isMoving () const
| Are walls moving. More...
INLINE_FUNCTION_H bool | move (real t, real dt)
| Move. More...
FUNCTION_H bool | read (iIstream &is)
| Read from input stream is. More...
FUNCTION_H bool | write (iOstream &os) const
| Write to output stream os. More...

## Protected Types

using | axisVector_HD = VectorDual< rotatingAxis >

## Protected Member Functions

bool | readDictionary (const dictionary &dict)
| Read from dictionary. More...
bool | writeDictionary (dictionary &dict) const
| Write to dictionary. More...

## Protected Attributes

axisVector_HD | axis_
| Vector to store axes. More...
wordList | axisName_
| Names of axes. More...
label | numAxis_ = 0
| Number of axes components. More...

## Detailed Description

Rotating axis motion model for walls.

This class is used for simulaiton that at least one wall components is moving according to rotatingAxis motion mode. One or more than one motion components can be defined in rotatingAxisMotionInfo dictionary

    // In geometryDict file, this will defines rotating walls during simulation
    ...
    motionModel rotatingAxisMotion;

    rotatingAxisMotionInfo
    {
        rotationAxis1
        {
            // the definition based on class rotatingAxis
        }
        rotatoinAxis2
        {
            // the definition based on calss rotatingAxis
        }
    }
    ...

Definition at line 65 of file rotatingAxisMotion.hpp.

## Member Typedef Documentation

## axisVector_HD

using axisVector_HD = VectorDual<rotatingAxis>

protected

Definition at line 121 of file rotatingAxisMotion.hpp.

## Constructor & Destructor Documentation

## rotatingAxisMotion() [1/4]

rotatingAxisMotion | ( |  | ) |

Empty.

Definition at line 115 of file rotatingAxisMotion.cpp.

## rotatingAxisMotion() [2/4]

rotatingAxisMotion | ( | const dictionary & | dict | ) |

Construct with dictionary.

Definition at line 119 of file rotatingAxisMotion.cpp.

References fatalExit.

## rotatingAxisMotion() [3/4]

FUNCTION_H rotatingAxisMotion | ( | const rotatingAxisMotion & |  | ) |

default

Copy constructor.

## rotatingAxisMotion() [4/4]

rotatingAxisMotion | ( | rotatingAxisMotion && |  | ) |

delete

No move constructor.

## ~rotatingAxisMotion()

FUNCTION_H ~rotatingAxisMotion | ( |  | ) |

default

Destructor.

## Member Function Documentation

## readDictionary()

bool readDictionary | ( | const dictionary & | dict | ) |

protected

Read from dictionary.

Definition at line 27 of file rotatingAxisMotion.cpp.

References dictionary::dictionaryKeywords(), pFlow::endl(), fatalErrorInFunction, dictionary::getVal(), and dictionary::subDict().

Here is the call graph for this function:

## writeDictionary()

bool writeDictionary | ( | dictionary & | dict | ) | const

protected

Write to dictionary.

Definition at line 91 of file rotatingAxisMotion.cpp.

References dictionary::add(), pFlow::endl(), fatalErrorInFunction, ForAll, and dictionary::subDictOrCreate().

Here is the call graph for this function:

## TypeInfoNV()

TypeInfoNV | ( | "rotatingAxisMotion" |  | ) |

Type info.

## operator=() [1/2]

FUNCTION_H rotatingAxisMotion& operator= | ( | const rotatingAxisMotion & |  | ) |

default

Copy assignment.

## operator=() [2/2]

rotatingAxisMotion& operator= | ( | rotatingAxisMotion && |  | ) |

delete

No move assignment.

## getModel()

Model getModel | ( | real | t | ) |

inline

Return the motion model at time t.

Definition at line 173 of file rotatingAxisMotion.hpp.

References rotatingAxisMotion::axis_, VectorDual< T, MemorySpace >::deviceVector(), VectorDual< T, MemorySpace >::modifyOnHost(), rotatingAxisMotion::numAxis_, and VectorDual< T, MemorySpace >::syncViews().

Here is the call graph for this function:

## nameToIndex()

INLINE_FUNCTION_H int32 nameToIndex | ( | const word & | name | ) | const

inline

Motion component name to index.

Definition at line 187 of file rotatingAxisMotion.hpp.

References rotatingAxisMotion::axisName_, fatalErrorInFunction, fatalExit, and List< T >::findi().

Here is the call graph for this function:

## indexToName()

INLINE_FUNCTION_H word indexToName | ( | label | i | ) | const

inline

Motion index to motion component name.

Definition at line 205 of file rotatingAxisMotion.hpp.

References rotatingAxisMotion::axisName_, pFlow::endl(), fatalErrorInFunction, fatalExit, and rotatingAxisMotion::numAxis_.

Here is the call graph for this function:

## isMoving()

INLINE_FUNCTION_HD bool isMoving | ( |  | ) | const

inline

Are walls moving.

Definition at line 222 of file rotatingAxisMotion.hpp.

## move()

INLINE_FUNCTION_H bool move | ( | real | t,
|  | real | dt
| ) |  |

inline

Move.

Definition at line 229 of file rotatingAxisMotion.hpp.

## read()

bool read | ( | iIstream & | is | ) |

Read from input stream is.

Definition at line 130 of file rotatingAxisMotion.cpp.

References ioErrorInFile, IOstream::lineNumber(), pFlow::motionModelFile__, IOstream::name(), and dictionary::read().

Here is the call graph for this function:

## write()

bool write | ( | iOstream & | os | ) | const

Write to output stream os.

Definition at line 151 of file rotatingAxisMotion.cpp.

References ioErrorInFile, IOstream::lineNumber(), pFlow::motionModelFile__, IOstream::name(), and dictionary::write().

Here is the call graph for this function:

## Member Data Documentation

## axis_

axisVector_HD axis_

protected

Vector to store axes.

Definition at line 124 of file rotatingAxisMotion.hpp.

Referenced by rotatingAxisMotion::getModel().

## axisName_

wordList axisName_

protected

Names of axes.

Definition at line 127 of file rotatingAxisMotion.hpp.

Referenced by rotatingAxisMotion::indexToName(), and rotatingAxisMotion::nameToIndex().

## numAxis_

label numAxis_ = 0

protected

Number of axes components.

Definition at line 130 of file rotatingAxisMotion.hpp.

Referenced by rotatingAxisMotion::getModel(), and rotatingAxisMotion::indexToName().

The documentation for this class was generated from the following files:

- src/MotionModel/rotatingAxisMotion/rotatingAxisMotion.hpp
- src/MotionModel/rotatingAxisMotion/rotatingAxisMotion.cpp